<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_dropline_navigation_panel.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_dropline_navigation_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_dropline_navigation_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_dropline_navigation_panel/locale/German.php";
}
// add_to_head("<script src='".INFUSIONS."mg_dropline_navigation_panel/js/jquery-1.4.2.min.js' type='text/javascript'></script>");
add_to_head("
<!-- stylesheets -->
<link rel='stylesheet' href='".INFUSIONS."mg_dropline_navigation_panel/css/dropline.css' type='text/css' media='screen' />
<script type='text/javascript'>
$(document).ready(function(){
	$('#main-nav li a.main-link').hover(function(){
		$('#main-nav li a.drp_close').fadeIn();
		$('#main-nav li a.main-link').removeClass('active');												 
		$(this).addClass('active');										 
		$('#sub-link-bar').animate({
			height: '40px'					   
		});
		$('.sub-links').hide();
		$(this).siblings('.sub-links').fadeIn();
	});
	$('#main-nav li a.drp_close').click(function(){
		$('#main-nav li a.main-link').removeClass('active');												 									 
		$('.sub-links').fadeOut();
		$('#sub-link-bar').animate({
			height: '10px'					   
		});		
		$('#main-nav li a.drp_close').fadeOut();
	});
});

</script>");

echo "<div id='sub-link-bar'> </div>";
echo "
<div id='wrap'>
  <div id='main-handle'>
    <div class='roundfg'>
      <ul id='main-nav'>";
	
$list_open = false;
$result = dbquery(
	"SELECT tl.link_name, tl.link_url, tl.link_window, tl.link_order FROM ".DB_SITE_LINKS." tl
	WHERE ".groupaccess('tl.link_visibility')." AND link_position<='2'
	ORDER BY link_order"
);
if (dbrows($result)) {
	while($data = dbarray($result)) {
			if ($data['link_name'] != "---" && $data['link_url'] == "---") {
				if ($list_open) { echo "</li></ul>\n"; $list_open = false; }
				echo "<li><a class='main-link' style='cursor:pointer;'>".$data['link_name']."</a>\n";
			} else if ($data['link_name'] == "---" && $data['link_url'] == "---") {
				if ($list_open) { echo "</li></ul>\n"; $list_open = false; }
				echo "<li><a class='main-link' style='cursor:pointer;'>".$data['link_name']."</a>\n";
			} else {
				if (!$list_open) { echo "<ul class='sub-links'>\n"; $list_open = true; }
				$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
				if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
					echo "<li><a href='".$data['link_url']."'".$link_target.">".$data['link_name']."</a></li>\n";
				} else {
					echo "<li><a href='".BASEDIR.$data['link_url']."'".$link_target.">".$data['link_name']."</a></li>\n";
				}
			}
	}
	if ($list_open) { echo "</ul>\n"; }
	echo "<li><a class='drp_close' title='".$locale['MG_DRP_001']."' style='cursor:pointer;'>X</a></li>";
} else {
	echo $locale['global_002'];
}
		
echo "</ul>
    </div>
    <!-- End roundfg -->
     </div>
  <!-- End main-handle-->
 </div>
<!-- End wrap -->";
?>